> ## Documentation Index
> Fetch the complete documentation index at: https://devzone.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Product Groups

> Creates new product groups based on the details provided in the request body. The request includes information such as the product group name, code, and associated actor.



## OpenAPI

````yaml /openapi/lynx.yaml post /v1/productGroups
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/productGroups:
    post:
      tags:
        - Product Groups
      summary: Create New Product Groups
      description: >-
        Creates new product groups based on the details provided in the request
        body. The request includes information such as the product group name,
        code, and associated actor.
      operationId: create-product-groups
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductGroupCreateRequest'
      responses:
        '200':
          description: >-
            The product group was successfully created, and the response
            contains the details of the created product group.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductGroup'
components:
  schemas:
    ProductGroupCreateRequest:
      type: object
      properties:
        ActorID:
          type: integer
          format: int64
          description: >-
            The unique identifier of the actor associated with the product
            group.
        ProductGroupName:
          type: string
          nullable: true
          description: The name of the product group to be created.
        ProductGroupCode:
          type: integer
          format: int64
          nullable: true
          description: The code associated with the product group.
        ProductGroupSubCode:
          type: integer
          format: int64
          nullable: true
          description: A sub-code for further categorizing the product group.
        ProductGroupCategoryCode:
          type: string
          nullable: true
          description: The category code associated with the product group.
      additionalProperties: false
    ProductGroup:
      type: object
      properties:
        ProductGroupRef:
          type: string
          nullable: true
          readOnly: true
          description: A reference identifier for the product group.
        ActorRef:
          type: string
          nullable: true
          readOnly: true
          description: >-
            A reference identifier for the actor associated with the product
            group.
        ProductGroupID:
          type: integer
          format: int32
          nullable: true
          description: The unique identifier of the product group.
        ActorID:
          type: integer
          format: int64
          nullable: true
          description: >-
            The unique identifier of the actor associated with the product
            group.
        ProductGroupName:
          type: string
          nullable: true
          description: The name of the product group.
        ProductGroupCode:
          type: integer
          format: int64
          nullable: true
          description: The code associated with the product group.
        ProductGroupSubCode:
          type: integer
          format: int64
          nullable: true
          description: >-
            A sub-code associated with the product group for further
            categorization.
        ProductGroupCreatedBy:
          type: integer
          format: int64
          nullable: true
          description: The identifier of the user who created the product group.
        ProductGroupCreationDate:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the product group was created.
        ProductGroupUpdatedBy:
          type: integer
          format: int64
          nullable: true
          description: The identifier of the user who last updated the product group.
        ProductGroupLastUpdated:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the product group was last updated.
        ProductGroupPictureURL:
          type: string
          nullable: true
          description: The URL of the picture associated with the product group.
        ProductGroupCategoryCode:
          type: string
          nullable: true
          description: The category code associated with the product group.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````